summaryrefslogtreecommitdiff
path: root/tests/touch/no-rights
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-11-27 08:01:57 +0000
committerJim Meyering <jim@meyering.net>2000-11-27 08:01:57 +0000
commitd33f54f74fef54a099cbb15dd581c2ac95fb8ba7 (patch)
treefdb51d91d2e7fb2c92fdffcc5c612b0e6db52b65 /tests/touch/no-rights
parent6d43eca61a8c6f9d32ea11d407646426b149a456 (diff)
downloadcoreutils-d33f54f74fef54a099cbb15dd581c2ac95fb8ba7.tar.xz
Use touch with `-d tomorrow' to avoid race condition.
Diffstat (limited to 'tests/touch/no-rights')
-rwxr-xr-xtests/touch/no-rights2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/touch/no-rights b/tests/touch/no-rights
index 2babd6814..3906564a8 100755
--- a/tests/touch/no-rights
+++ b/tests/touch/no-rights
@@ -25,7 +25,7 @@ set x `ls -t $t1 $t2`
test "$*" = "x $t2 $t1" || fail=1
chmod 0 $t1
-touch -c $t1 || fail=1
+touch -d tomorrow -c $t1 || fail=1
set x `ls -t $t1 $t2`
test "$*" = "x $t1 $t2" || fail=1